%global gem_name mongo

%if 0%{?rhel} <= 6 && 0%{?fedora} <= 16
%global gem_dir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gem_instdir %{gem_dir}/gems/%{gem_name}-%{version}
%global gem_docdir %{gem_dir}/doc/%{gem_name}-%{version}
%global gem_cache %{gem_dir}/cache
%global gem_libdir %{gem_instdir}/lib
%global gem_extdir %{_libdir}/gems/exts/%{gem_name}-%{version}
%global gem_spec %{gem_dir}/specifications/%{gem_name}-%{version}.gemspec
%global rubyabi 1.8
%else
%global rubyabi 1.9.1
%endif

Summary:       Ruby driver for the MongoDB
Name:          rubygem-%{gem_name}
Version:       1.8.1
Release:       2%{?dist}
Group:         Development/Languages
License:       ASL 2.0
URL:           http://www.mongodb.org
Source0:       http://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires:      ruby(abi) >= 1.8
Requires:      rubygems
Requires:      rubygem(bson) = %{version}
BuildRequires: ruby(abi) >= 1.8
BuildRequires: rubygems
%if 0%{?rhel} >= 7 && 0%{?fedora} >= 17
BuildRequires: rubygems-devel
%endif
# For running the tests
BuildRequires: rubygem(bson)
BuildRequires: rubygem(shoulda)
BuildRequires: rubygem(mocha)
#BuildRequires: rubygem(minitest)
BuildRequires: rubygem(test-unit)
BuildArch:     noarch
Provides:      rubygem(%{gem_name}) = %{version}


%description
A Ruby driver for MongoDB. For more information about Mongo, see
http://www.mongodb.org.

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires:%{name} = %{version}-%{release}

%description doc
Documentation for %{name}


%prep
gem unpack %{SOURCE0}
%setup -q -D -T -n  %{gem_name}-%{version}
gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
mkdir -p .%{gem_dir}

gem build %{gem_name}.gemspec
gem install -V \
        --local \
        --install-dir .%{gem_dir} \
        --bindir .%{_bindir} \
        --force \
        --rdoc \
        %{gem_name}-%{version}.gem

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* %{buildroot}%{_bindir}

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
# Don't run check on ruby 1.8
%if 0%{?rhel} >= 7 && 0%{?fedora} >= 17
pushd .%{gem_instdir}
# Most tests require a mongo server to be running
# We are only running tests that do not require the server
RUBYOPT="-rdate" testrb test/conversions_test.rb \
                        test/support_test.rb \
                        test/uri_test.rb \
                        test/unit/*_test.rb
popd
%endif

%files
%doc %{gem_instdir}/LICENSE
%doc %{gem_instdir}/VERSION
%dir %{gem_instdir}
%{_bindir}/mongo_console
%{gem_instdir}/bin
%{gem_libdir}
%{gem_spec}
%exclude %{gem_cache}

%files doc
%doc %{gem_instdir}/README.md
%doc %{gem_docdir}
%{gem_instdir}/test
%{gem_instdir}/mongo.gemspec
%{gem_instdir}/Rakefile

%changelog
* Mon Feb 8 2013 Chris Alfonso <calfonso@redhat.com> - 1.8.1-2
- Updated to version 1.8.1

* Mon Jan 14 2013 Troy Dawson <tdawson@redhat.com> - 1.8.1-1
- Updated to version 1.8.1

* Tue Oct 09 2012 Troy Dawson <tdawson@redhat.com> - 1.7.0-1
- Updated to version 1.7.0

* Fri Aug 10 2012 Troy Dawson <tdawson@redhat.com> - 1.6.4-2
- Fixed doc
- removed more BuildRequires that are not required

* Thu Aug 09 2012 Troy Dawson <tdawson@redhat.com> - 1.6.4-1
- Updated to latest version
- Removed BuildRequires that are not needed

* Thu Aug 09 2012 Troy Dawson <tdawson@redhat.com> - 1.4.0-7
- Fixed checks.  
  Only run checks that do not require a running mongodb server

* Tue Aug 07 2012 Troy Dawson <tdawson@redhat.com> - 1.4.0-6
- Changed .gemspec and Rakefile to not be doc
- Added checks

* Thu Aug 02 2012 Troy Dawson <tdawson@redhat.com> - 1.4.0-5
- Fixed rubygem(bson) requires

* Mon Jul 23 2012 Troy Dawson <tdawson@redhat.com> - 1.4.0-4
- Updated to meet new fedora rubygem guidelines

* Thu Nov 17 2011 Troy Dawson <tdawson@redhat.com> - 1.4.0-3
- Changed group to Development/Languages
- Changed the global variables
- Seperated the doc and test into the doc rpm

* Thu Nov 17 2011 Troy Dawson <tdawson@redhat.com> - 1.4.0-2
- Added %{?dist} to version

* Tue Nov 15 2011  <tdawson@redhat.com> - 1.4.0-1
- Initial package
